API ReferenceChannel accounts
Questa pagina è disponibile solo in inglese.
Retrieve a channel account
GET /rest/v1/channel_accounts/{id}
Works with any API key (no scope needed).
Authorization
apiKey AuthorizationBearer <token>
Authorization: Bearer nbl_live_... (or nbl_test_... for test mode). Test-mode writes are validated and simulated but never persisted and never touch channels; simulated results are marked simulated.
In: header
Path Parameters
id*string
Channel account id from GET /channel_accounts (e.g. chac_...). Never construct it.
Response Body
application/json
application/json
curl -X GET "https://example.com/channel_accounts/string"{ "id": "chac_66a1f09b2", "object": "channel_account", "channel": "ebay", "label": "eBay", "currency": "USD", "warnings": [ { "code": "currency_mismatch", "message": "string" } ], "shop_name": "carboagez", "status": "connected", "sync": { "product_edits": true, "quantity_from_orders": true, "quantity_from_channel_edits": true, "content_from_channel_edits": true, "transfer_orders": true }, "pricing": { "mode": "off", "value": 0, "rounding": true }, "inventory": { "control": true, "threshold": 0 }, "defaults": { "shipping_policy": "pol_6178493000", "return_policy": "string", "payment_policy": "string", "collection": "col_344508170434" }, "policy_validation": { "valid": true, "invalid_policies": [ "shipping" ], "message": "string", "checked_at": "2019-08-24T14:15:22Z" }, "writable": [ "sync.product_edits", "pricing.mode", "pricing.value", "inventory.threshold", "defaults.shipping_policy" ], "discovery": { "categories": true, "attribute_schema": true, "policies": true, "collections": true }}Ultimo aggiornamento il 18 ottobre 2026